KMERRESISTANCE(1)

NAME
kmerresistance - correlates mapped genes with the predicted species of WGS samples

SYNOPSIS

DESCRIPTION
KmerResistance correlates mapped genes with the predicted species of WGS samples, where this this allows for identification of genes in samples which have been poorly sequenced or high accuracy predictions for samples with contamination. KmerResistance has one dependency, namely KMA to perform the mapping, which is also freely available.

OPTIONS

-i  Input/query file name REQUIRED

-o  Output file REQUIRED

-t_db
    Template DB REQUIRED

-s_db
    Species DB REQUIRED

-id ID threshhold 70.0

-dct
    Depth correction threshhold 0.1

-kma
    alternative KMA kma

  KMA options:

-i  Input/query file name None REQUIRED

-o  Output file None REQUIRED

-t_db
    Template DB None REQUIRED

-k  Kmersize 16

-e  evalue 0.05

-delta
    Align in pieces of delta 511

-mem_mode
    Use kmers to choose best template, and save memory False

-ex_mode
    Searh kmers exhaustively False

-deCon
    Remove contamination False

-dense
    Do not allow insertions in assembly False

-ref_fsa
    Consensus sequnce will have "n" instead of gaps False

-matrix
    Print assembly matrix False

-mp Minimum phred score 30

-5p Cut a constant number of nucleotides from the 5 prime. 0

-Sparse
    Run KmerFinder False

-ID Minimum ID 1.0%

-ss Sparse sorting (q,c,d) q

-shm
    Use shared DB made by kma_shm 0 (lvl)

-swap
    Swap DB to disk 0 (lvl)

-1t1
    Skip HMM False

-boot
    Bootstrap sequence False

-mrs
    Minimum alignment score, normalized to alignment length 0.5

-reward
    Score for match 1

-penalty
    Penalty for mismatch -2

-gapopen
    Penalty for gap opening -3

-gapextend
    Penalty for gap extension -1

-h  Shows this help message

EXAMPLES
Mapping reads against resistance genes:

      kmerresistance -i sample_1.fastq sample_2.fastq -o out -t_db ResFinder -s_db bacteria

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.